package FDN::Adsl::Controller::Doc;

use strict;
use warnings;
use base 'Catalyst::Controller';

use FDN::Common::Config;

__PACKAGE__->config->{'namespace'} = 'adsl/doc';

sub default :Path('') {
	my ( $self, $c ) = @_;
	my $name = $c->req->param('page');
	
	my $dir  = Config_Key('adsl/global.cfg','dirs','docstpl');
	my $url  = Config_Key('adsl/global.cfg','web', 'docsurl');

	my $file;
	my $hash = {URL=>$url.'?page='};

	$file = "../docs/racine.html";
	my $page .= $c->forward('TP', 'partial', [ $file, $hash ]);
	$file = "../docs/$name";
	$page .= $c->forward('TP', 'partial', [ $file, $hash ]);

	$c->detach('TT', 'final', [ 'base2.tt', { 'PAGE' => $page } ] );
}

1;
