package FDN::Adsl;

use strict;
use warnings;
use Catalyst::Runtime;
use Log::Log4perl::Catalyst;
use base 'Catalyst';
use Catalyst qw (
	-Debug
	ConfigLoader
	Unicode
);

use FDN::Common::Config;


__PACKAGE__->config(
	'name' => 'FDN::Adsl',
	'View::TT' => {
		'TEMPLATE_EXTENTION' => '.tt',
		'INCLUDE_PATH' => [Config_Key('adsl/global.cfg','dirs','htmltpl')],
		#'PRE_PROCESS' => '',
	}
);
__PACKAGE__->log(Log::Log4perl::Catalyst->new('/etc/fdn/adsl/logger.conf', autoflush => 1));

__PACKAGE__->setup();

1;
